     HISTORY FILE FOR CIRCUIT SHOP
     =============================

     Version 1.10 (January 2001)
     ---------------------------
     1. NPN and PNP transistors are now supported by the
        sinusoidal steady state analysis and frequency response
        functions.  Transistors are replaced with a hybrid-pi
        model when the circuit is analyzed.  A new dialog box has
        also been added to initialize or change the hybrid-pi
        model parameters.
        (See Circuit Shop help file (CIRC.HLP) topics:
          Transistor hybrid-pi model
          Edit Transistor Parameters dialog box
          Sinusoidal steady state analysis
          Frequency response
          Sinusoidal steady state supported devices).
        A simple transistor sinusoidal steady state analysis and
        frequency response example can be found in SAMPLE16.CS1.
        Note: Transistor circuit analysis is only available to
        registered users.
     2. A new dialog box has been added for transistors.  This
        dialog box can be used to select the transistor type:
        - NPN or PNP transistor
        - N or P channel field effect transistor
        - N or P channel depletion mode MOSFET
        - N or P channel enhancement mode MOSFET
        define its device id, part number, name and select the
        orientation.  This dialog also includes a Parameters
        button which opens the Edit Transistor Parameters dialog
        box to initialize or change the transistor's hybrid-pi
        model parameters.
        (See Circuit Shop help file (CIRC.HLP) topic:
          Edit Transistor dialog box.)
     3. A new Value Slider device has been added.  A value
        slider can be used to quickly change a device value and
        re-execute the circuit analysis function.
        Value sliders can change
        - Resistor resistance
        - Capacitor capacitance
        - Inductor inductance
        - Battery voltage
        - AC source voltage and current
        (See Circuit Shop help file (CIRC.HLP) topics:
          Quickly changing device values
          Value slider
          Edit value slider dialog box
          Analog Device Toolkit.)
        A Wheatstone bridge value slider example can be found in
        SAMPLE15.CS1.  Also, SAMPLE01.CS1 has been updated to
        include a Value Slider.
     4. Addition of Binary Numbers Exercise in the Digital
        Circuits Tutorial.  The exercise includes an explanation
        of what binary numbers are and how to convert back and
        forth between binary and decimal number systems.
     5. New menu commands: Tool|Analysis log on
                       and Tool|Analysis log off
        These commands enable or disable respectively the
        generation of an analysis.log file during a circuit
        analysis.  The analysis log contains a list of circuit
        devices, connections, and resultant voltages and
        currents.
        (See Circuit Shop help file (CIRC.HLP) topics:
           Tool|Analysis log on command
           Tool|Analysis log off command.)
     6. New example circuits:
        - SAMPLE15.CS1 - Value slider example - Wheatstone bridge.
        - SAMPLE16.CS1 - Transistor AC analysis example
     7. ICs added to library L7450.CS1:
        - 7473 - Dual J-K negative-edge-triggered flip-flops with reset
        - 7475 - Quad D-type high-level-triggered flip-flops
        - 7495 - 4-bit shift reg. with shift and parallel-load clocks
     8. New libraries: L74100.CS1 and L74150.CS1.
        Two new library have been created with standard digital
        logic ICs 74100 through 74199.  You can cut and paste
        the ICs from this library to your own circuits.
        L74100.CS1 - ICs in range 74100 - 74149:
        - 74107 - Dual negative-edge-triggered JK flip-flops with clear
        - 74109 - Dual J ~K flip-flops with preset and clear
        - 74112 - Dual neg.-edge-trig. JK flip-flops with preset and clear
        - 74113 - Dual neg.-edge-trig. JK flip-flops with preset
        - 74114 - Dual neg.-edge-trig. JK flip-flops with preset, common clock & clear
        - 74132 - Quad 2-input NAND gates with schmitt trigger inputs
        - 74133 - 13-input NAND gate
        - 74147 - 10-to-4 priority encoder (decimal-to-binary encoder)
        L74150.CS1 - ICs in range 74150 - 74199:
        - 74150 - 16-to-1 line inverting data selector/multiplexer
        - 74151 - 8-to-1 line data selector/multiplexer
        - 74190 - 4-bit synchronous decade up/down counter with load
        - 74191 - 4-bit synchronous binary up/down counter with load

     Version 1.09 (March 2000)
     -------------------------
     1. Flip-flops are now supported by the digital analysis
        function.  Flip-flops can be configured:
          type    : SR - set reset, JK, D and T - toggle.
          outputs : Q and ~Q, Q only and ~Q only.
          clock   : none, active high or active low,
                    low-to-high or high-to-low transition.
          preset  : with and without.
          clear   : with and without.
        (See Circuit Shop help file (CIRC.HLP) topics:
          Flip-flop
          Edit flip-flop dialog box
          Digital Device Toolkit.)
     2. A new command has been added to output a circuit to a
        bitmap (BMP) file.  The BMP file is automatically
        sized so that all of the circuit is displayed, i.e.
        even if the screen window only covers a portion of the
        circuit, all of the circuit will be displayed in the
        BMP.  The BMP file can be imported to other
        applications such as word processors or general
        graphics programs.
        (See Circuit Shop help file (CIRC.HLP) topic:
          File Output BMP file)
     3. A printable version of Circuit Shop's on-line help
        file has been created and can be downloaded from the
        Circuit Shop home page.  This document consists of
        two parts:
          1. Circuit Shop's reference manual.
          2. Circuit Shop's tutorial.
        A full index of the reference manual and tutorial is
        included at the end of the document.
     4. The DC Analysis function has been enhanced to support
        diodes.  After the analysis is complete a color coded
        diode state character is displayed beside the diode.
          F - Forward bias (on), green.
          R - Reverse bias (off), black.
          B - Breakdown bias, red.
        (See Circuit Shop help file (CIRC.HLP) topics:
          DC Analysis
          Diode Model)
        Note: Diode DC circuit analysis is only available to
        registered users.
     5. Improved device connection behaviour.  To assist
        connecting devices with wires, when Circuit Shop
        detects that the wire tool is over a device terminal,
        the cursor symbol changes to a pointer.
        (See Circuit Shop help file (CIRC.HLP) topic:
          Connecting Devices - Adding Wires and Connectors)
     6. New example circuits:
        - SAMPLE12.CS1 - 7449 BCD to 7-segment decoder.
        - SAMPLE13.CS1 - a simple DC diode analysis circuit.
        - SAMPLE14.CS1 - Modulo 10 counter using D flip-flops.
     7. ICs added to library L7400.CS1:
        - 7423 - hex non-inverter.
        - 7442 - BCD to decimal decoder.
        - 7445 - BCD to decimal decoder.
        - 7447 - BCD to 7-segment decoder with ripple-blank
                 input (active low outputs).
        - 7448 - BCD to 7-segment decoder with ripple-blank
                 input (active high outputs).
        - 7449 - BCD to 7-segment decoder.
     8. New library: L7450.CS1.
        A new library has been created with standard digital
        logic ICs 7450 through 7499.  You can cut and paste
        the ICs from this library to your own circuits.
        - 7451 - 2-wide 2-input and 2-wide 3-input AND-NOR gates
        - 7454 - 4-wide 2/3-input AND-NOR gate
        - 7455 - 2-wide 4-input AND-NOR gate
        - 7458 - 2-wide 2-input and 2-wide 3-input AND-OR gates
        - 7474 - Dual D-type positive-edge-triggered flip-flops
        - 7476 - Dual J-K negative-edge-triggered flip-flops with set and reset
        - 7483 - 4-bit binary full adder with fast carry
        - 7485 - 4-bit magnitude comparator with cascade inputs
        - 7486 - Quad 2-input EXCLUSIVE OR gates
        - 7490 - 4-bit asynchronous decade counter
        - 7492 - 4-bit asynchronous divide-by-12
        - 7493 - 4-bit asynchronous binary counter
     9. LIBRARY.TXT has been added to the files distributed
        with Circuit Shop.  This file lists the ICs in each
        of Circuit Shop's IC library files.


     Version 1.08 (October 1999)
     ---------------------------
     1. Integrated circuit (IC) devices can now contain
        internal circuits.  You can now create unlimited
        analog and digital circuits inside integrated circuit
        devices.  The circuits inside ICs can also include or
        imbed IC devices, i.e. ICs inside ICs, and thus very
        complex circuits can be created.  This capability is
        sometimes called circuit macros or sub-circuits in
        other programs.  ICs can be created to hold industry
        standard circuits such as the digital logic 7400
        series devices, see new library reference below, or
        "common" circuit components that you use in your
        application.  The ICs can be stored in Circuit Shop
        .CS1 files which allows you to create user specific
        IC libraries.  You can use Circuit Shop's Edit|Cut,
        Copy and Paste commands to copy ICs within a diagram,
        and from one diagram (e.g. from a user specific IC
        library) to another diagram.
        (See Circuit Shop help file (CIRC.HLP) topic:
          Creating Circuits Inside Integrated Circuits.)
     2. ICs can now be used in Circuit Shop's circuit analysis
        function.
        (See Circuit Shop help file (CIRC.HLP) topics:
          DC analysis
          Sinusoidal steady state analysis
          Frequency response
          Digital analysis)
     3. The Edit IC dialog box has been enhanced:
        - A "View circuit" button has been added to display
          the IC's internal circuit.  Once displayed, normal
          Circuit Shop commands and graphical operations can
          be used to construct the IC's internal circuit.
        - Two new display options have been added to
          integrated circuits: "Show pins" and "Show pin
          numbers."  These allow you to more easily connect
          wires to the correct pins.
        (See Circuit Shop help file (CIRC.HLP) topic:
          Edit IC Dialog Box.)
     4. New example circuit:
        - SAMPLE11.CS1 - a simple digital circuit using
          two of the NAND gates inside a 7400 IC.
     5. New library: L7400.CS1.
        A new library has been created with standard digital
        logic ICs 7400 through 7449.  You can cut and paste
        the ICs from this library to your own circuits.
     6. Disconnected wires and devices are now detected and
        highlighted.  The analyze command or toolbar button
        is invoked, Circuit Shop looks for disconnected
        objects, e.g. wires that are not correctly terminated
        or devices that are not connected to other parts of
        the circuit.  If disconnected objects are found a
        message box is displayed which asks if you would like
        to highlight the disconnected objects.
        (See Circuit Shop help file (CIRC.HLP) topic:
          Tool|Analyze Command.)
     7. Frequency response graphs have been enhanced.  Circuit
        Shop can now produce:
        - magnitude (volts)     vs frequency
        - phase (degrees)       vs frequency
        - magnitude (dB)        vs frequency
        - group delay (seconds) vs frequency
        Plots can be in the following forms:
        - linear vs linear
        - linear vs logarithmic
        - logarithmic vs linear
        - logarithmic vs logarithmic
        Each axis can be independently scaled either manually
        or automatically.
        Two buttons ("X Axis ..." and "Y Axis ...") have been
        added to the Edit Analyzer dialog box.  These buttons
        invoke the new Edit Axis Information dialog box to set
        the axis title, auto or manual scaling, min and max
        values, and axis type (linear or logarithmic).
        (See Circuit Shop help file (CIRC.HLP) topics:
          Frequency Response
          Edit Analyzer dialog box,
          Edit Axis Information dialog box.)
     8. A new dialog box has been created to set or change the
        attributes of the drawing grid.  The attributes include
        - x - horizontal size
        - y - vertical size
        - display drawing grid lines
        These attributes are saved with the drawing and
        restored when the diagram is re-opened.
        (See Circuit Shop help file (CIRC.HLP) topics:
          TOOL|Drawing Grid command
          Edit Drawing Grid dialog box.)
     9. Floating Point Overflow error.  Some users have reported
        this error.  This was believed it to be dynamic memory
        exhaustion because the remedy seemed to be to disable
        other applications before running Circuit Shop.  While
        reading the Borland newsgroups, a similar sounding
        problem was reported.  There is a know problem with the
        floating point unit where other applications could leave
        the floating point unit in an unsupported state and
        input of floating point numbers could cause this error.
        The fix is to reset the floating point unit before
        reading any data.  This has been implemented in this
        release.

     Version 1.07 (May 1999)
     -----------------------
     1. Digital Analysis is introduced to Circuit Shop.
        Digital Analysis supports circuits composed of
        - Digital sources: logic level 0, logic level 1 and
          logic level switch.
        - Logic gates: AND, OR, NOT, EXCLUSIVE-OR, NAND, and
          EXCLUSIVE-NOR.
        - Digital displays: digital display lamp, and 7
          segment.
        (See Circuit Shop help file (CIRC.HLP) topics:
          Analyse Command,
          Digital Analysis,
          Digital Analysis On Command, and
          Digital Analysis Off Command.)
     2. Addition of Logic Gate Exercise in the Digital
        Circuits Tutorial.  The exercise includes an
        explanation of what logic gates are and how they
        operate in digital circuits.
     3. New example circuits:
        - SAMPLE09.CS1 contains a set of simple digital
          circuits.  By single left mouse clicking on the
          digital sources, you can see how logic gates and
          digital displays operate.
        - SAMPLE10.CS1 contains a one-bit comparator.
     4. New devices have been added to the digital device
        toolkit:
        - Digital sources: level 0 source, level 1 source and
          logic level switch.
        - Digital displays: digital display lamp and 7 segment
          display.
        (See Circuit Shop help file (CIRC.HLP) topic:
          Digital Device Toolkit.)
     5. Logic gates can now have up to 25 inputs.  The number
        of inputs is set using the logic gate dialog box.
        (See Circuit Shop help file (CIRC.HLP) topic:
          Edit Logic Gate Dialog.)
     6. Frequency response graphs can now be printed.  After the
        Frequency response graph has been generated, ensure the
        graph window is in focus, i.e. it is the active window
        and use menu commands File|Print or File|Print preview
        to print or preview the graph.
        (See Circuit Shop help file (CIRC.HLP) topic:
          Frequency Response for details on how to generate and
          print a frequency response graph.)

     Version 1.06 (February 1999)
     ----------------------------
     1. Addition of Transistor Exercise in the Semiconductors
        Tutorial.  The exercise includes explanation of how
        transistors work, different types of transistor
        circuits and biasing examples.
     2. Device meters have been enhanced.
        - Voltages can be measured at Terminals.
        - Voltage differences can be measured from Terminal-
          to-Terminal.
        - Power can be measured for resistors, capacitors and
          inductors with the following display formats
            - magnitude and phase (degrees)
            - magnitude and phase (radians)
            - real and imaginary phasor
        (See Circuit Shop help file (CIRC.HLP) topics:
          Device Meter
          Edit Meter Dialog Box.)
        Note: these additional device meter functions are only
        available to registered users.
     3. Devices and objects may now be moved using the keyboard
        left arrow, right arrow, up arrow, or down arrow cursor
        keys.  By default the device or object is moved one x or
        y grid increment.  If the Ctrl key is held down at the
        same time as the cursor key is pressed, the selected
        objects will be moved by one pixel in the desired
        direction.
        (See Circuit Shop help file (CIRC.HLP) topic:
          Moving an Object.)
     4. The transistor toolkit now contains transistors,
        junction FETs, and depletion and enhancement mode
        MOSFETs.
        (See Circuit Shop help file (CIRC.HLP) topic
          Transistor Toolkit.)
     5. The following suffixes can be used when entering device
        values: 'G', 'M', 'K', 'k', 'm', 'u', 'n', 'p'.
        (See Circuit Shop help file (CIRC.HLP) topic:
          Edit Device Dialog Box.)
     6. Transformer support has been enhanced:
        - transformers can be displayed having iron or air
          cores and can be displayed (and analyzed) with
          either positive and negative polarity.
          (See Circuit Shop help file (CIRC.HLP) topic:
            Edit Transformer Dialog.)
        - transformers can be used in both sinusoidal steady
          state analysis and frequency response capabilities
          (See Circuit Shop help file (CIRC.HLP) topic:
            Sinusoidal Steady State Analysis Supported Devices).
        - example circuit SAMPLE08.CS1 contains a simple
          transformer circuit.
        - note: analysis of circuits with transformers is only
          available to registered users.
     7. In previous versions, wires were not being transferred
        correctly from the cut/paste buffer to a diagram.  This
        has been corrected.  You can now create a library of
        customized symbols and common circuits in one or more
        Circuit Shop files and use the Edit command's cut and
        paste facility between diagrams.
        (See Circuit Shop help file (CIRC.HLP) topic:
          Edit Commands.)

     Version 1.05 (November 1998)
     ----------------------------
     1. Addition of Series Resistor-Inductor-Capacitor (RLC)
        Circuits Exercise in the Alternating Current Tutorial.
        The exercise includes a demonstration circuit to show
        the resonant frequency using Circuit Shop's frequency
        response capability.
     2. Addition of Diodes Exercise in the Semiconductors
        Tutorial.  The exercise includes explanations of half
        and full-wave rectification circuits.
     3. Addition of Operational Amplifier (op amp) analysis
        capability.
        (See Circuit Shop help file (CIRC.HLP) topic:
          Ideal Operational Amplifier).
        - op amps can be used in both sinusoidal steady state
          analysis and frequency response capabilities.
          (See Circuit Shop help file (CIRC.HLP) topic:
            Sinusoidal Steady State Analysis Supported Devices)
        - example circuit SAMPLE06.CS1 contains a fourth-order
          Butterworth low-pass filter using op amps.
        - note: analysis of circuits with operational
          amplifiers is only available to registered users.
     4. Addition of dependent voltage and current source
        analysis capability.
        (See Circuit Shop help file (CIRC.HLP) topic:
          Dependent Sources)
        - The following dependent source types are supported:
            voltage-controlled voltage source (VCVS)
            current-controlled voltage source (CCVS)
            voltage-controlled current source (VCCS)
            current-controlled current source (CCCS)
        - dependent sources can be used in both sinusoidal
          steady state analysis and frequency response
          capabilities.
          (See Circuit Shop help file (CIRC.HLP) topic:
            Sinusoidal Steady State Analysis Supported Devices)
        - example circuit SAMPLE07.CS1 contains a circuit with
          each type of dependent source.
        - note: analysis of circuits with dependent sources
          is only available to registered users.
     5. Addition of balloon help.  As the mouse is moved over
        the toolbar or toolkit, a window will appear under the
        icon stating the icon's purpose.
     6. Improved object selection behaviour.  You can now
        select multiple objects at once using a selection area.
        (See Circuit Shop help file (CIRC.HLP) topic:
          Selecting Objects)
     7. Improved device and object movement ability.  You can
        now move multiple selected objects at the same time.
        (See Circuit Shop help file (CIRC.HLP) topic:
          Moving an Object)

     Version 1.04 (August 1998)
     --------------------------
     1. Addition of Capacitors and Inductors in AC Circuits
        Exercise in the Alternating Current Tutorial.
     2. Addition of frequency response capability.
        (See Circuit Shop help file (CIRC.HLP) topic:
          Frequency Response)
        - new Circuit Analyzer object to control the generation
          of frequency response graphs
          (See Circuit Shop help file (CIRC.HLP) topic:
            Circuit Analyzer)
        - new dialog box to add or change the attributes of a
          circuit analyzer object.
          (See Circuit Shop help file (CIRC.HLP) topic:
            Edit Analyzer Dialog Box)
     3. In addition to being on the toolbar, the pointer, wire
        and connector tools have been added to the analog device
        toolkit.
        (See Circuit Shop help file (CIRC.HLP) topic:
          Analog Device Toolkit)
     4. Improved wire and connector drawing behaviour:
        - Wire vertices are automatically positioned so that
          resulting wires are horizontal or vertical with
          adjacent vertices or wire end points.
          (See Circuit Shop help file (CIRC.HLP) topics:
            Adding a Vertex
            Moving a Vertex)
        - Connector objects are now selected before wires.

     Version 1.03 (May 1998)
     -----------------------
     1. Addition of Capacitor Circuit Time Constant and Inductor
        Circuit Time Constant exercises.
     2. In addition to DC analysis, Circuit Shop now supports
        sinusoidal steady state analysis for circuits composed of
        resistors, capacitors, inductors, ground points, voltage
        sources, current sources and device meters.
        (See Circuit Shop help file (CIRC.HLP) topic:
          Sinusoidal Steady State Analysis)
     3. Device meters now support the following meter types and
        output display formats.
        - Voltage and current - magnitudes
                              - RMS
        - Voltage - magnitude and phase (degrees)
                  - magnitude and phase (radians)
                  - real and imaginary phasor
        - Current - magnitude and phase (degrees)
                  - magnitude and phase (radians)
                  - real and imaginary phasor
        - Impedance - magnitude and phase (degrees)
                    - magnitude and phase (radians)
                    - real and imaginary phasor
        (See Circuit Shop help file (CIRC.HLP) topics:
          Device Meter
          Edit Meter Dialog Box)
     4. Addition of AC voltage and current sources, and addition
        of a new dialog box to define source id, name, magnitude,
        phase and frequency parameters.
        (See Circuit Shop help file (CIRC.HLP) topic:
          Edit Source Dialog Box)
     5. Addition of a source sub-toolkit on the analog device
        toolkit.  The toolkit contains battery, AC voltage source
        and AC current source devices.
        (See Circuit Shop help file (CIRC.HLP) topics:
          Analog Device Toolkit
          Source Toolkit)
     6. Earth and chassis grounds are supported as common points
        in circuits and can be used in sinusoidal steady state
        analysis circuits.
        (See Circuit Shop help file (CIRC.HLP) topic:
          Sinusoidal Steady State Analysis)
     7. For convenience, the pointer, wire and connector tools
        have been moved to the toolbar.
        (See Circuit Shop help file (CIRC.HLP) topic:
          Toolbar Commands).
     8. Suffixes and units are displayed for device values,
        voltages, currents and frequencies. E.g. resistors k, M;
        voltage mV, kV; capacitors uF, pF; frequency kHz, MHz
        etc.
        (See Circuit Shop help file (CIRC.HLP) topic:
          Unit Conversion)

     Version 1.02 (February 1998)
     ----------------------------
     1. Addition of transformer and alternating current
        tutorials.
     2. Addition of unlimited diagram edit undo and redo command
        capabilities.
     3. Addition of cut/paste buffer commands: Cut, Copy, Paste,
        Append and Select All.  Any number of objects can be
        placed in the cut paste buffer and objects can be
        transferred from one diagram to another.
     4. Support for both free form, straight and curved lines.
        Line vertices may be added and removed, and entire
        lines may be copied, moved or deleted, the same as most
        objects.
     5. Addition of short cut (accelerator) keys for many menu
        commands.
     6. If multiple objects overlap, the pointer tool will now
        select the smallest object.

     Version 1.01 (December 1997)
     ----------------------------
     1. Addition of capacitor and inductor tutorials.
     2. Addition of a digital device toolkit which includes:
        - the full set of logical gates: AND, OR, Exclusive-OR,
          NOT, NAND, NOR and Exclusive-NOR.
        - integrated circuits with the ability to specify any
          number of side and top/bottom inputs.
     3. New devices: 2 & 3 prong female and male plugs.
     4. An easy way to delete wire vertices.  Just grab the
        vertex and drag it to form a straight wire.
     5. A faster and more robust mesh generator and circuit
        analyzer.

     Version 1.00 (October 1997)
     ---------------------------
     1. Initial release.


